%define upstream_name    Search-Elasticsearch
%define upstream_version 8.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A client for running index-level requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::URI::Escape)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Tiny) >= 0.76.0
BuildRequires: perl(IO::Compress::Deflate)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(IO::Uncompress::Inflate)
BuildRequires: perl(JSON::MaybeXS) >= 1.2.2
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Any) >= 1.20.0
BuildRequires: perl(Log::Any::Adapter)
BuildRequires: perl(Log::Any::Adapter::Callback) >= 0.90.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.1.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Net::IP)
BuildRequires: perl(POSIX)
BuildRequires: perl(Package::Stash) >= 0.340.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::SharedFork)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
the Search::Elasticsearch manpage is the official Perl client for
Elasticsearch, supported by http://www.elasticsearch.com. Elasticsearch
itself is a flexible and powerful open source, distributed real-time search
and analytics engine for the cloud. You can read more about it on
http://www.elasticsearch.org.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 8.120.0-2.mga10
+ Revision: 2221167
- Mageia 10 Mass Rebuild

* Sat Jan 27 2024 tv <tv> 8.120.0-1.mga10
+ Revision: 2035355
- update to 8.12

* Mon Jan 02 2023 tv <tv> 8.0.0-1.mga9
+ Revision: 1928867
- update to 8.00

* Fri Jul 29 2022 tv <tv> 7.717.0-1.mga9
+ Revision: 1872809
- update to 7.717

* Mon Mar 28 2022 umeabot <umeabot> 7.715.0-2.mga9
+ Revision: 1830545
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 7.715.0-1.mga9
+ Revision: 1753029
- update to 7.715

* Mon Aug 16 2021 tv <tv> 7.714.0-1.mga9
+ Revision: 1741600
- update to 7.714

* Wed Jun 16 2021 tv <tv> 7.713.0-1.mga9
+ Revision: 1730874
- update to 7.713

* Fri Mar 26 2021 tv <tv> 7.712.0-1.mga9
+ Revision: 1710699
- update to 7.712

* Thu Mar 11 2021 tv <tv> 7.711.1-1.mga9
+ Revision: 1701368
- update to 7.711001

* Wed Sep 16 2020 tv <tv> 7.300.0-1.mga8
+ Revision: 1626830
- update to 7.30

* Sun Jun 28 2020 tv <tv> 6.810.0-1.mga8
+ Revision: 1599726
- update to 6.81

* Thu Mar 26 2020 tv <tv> 6.800.0-1.mga8
+ Revision: 1560712
- update to 6.80

* Wed Feb 12 2020 umeabot <umeabot> 6.0.0-3.mga8
+ Revision: 1506171
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.0.0-2.mga7
+ Revision: 1285980
- Mageia 7 Mass Rebuild

* Wed Nov 15 2017 tv <tv> 6.0.0-1.mga7
+ Revision: 1177457
- update to 6.00

* Sun Jul 30 2017 sander85 <sander85> 5.20.0-1.mga7
+ Revision: 1132727
- update to 5.02

* Sun May 08 2016 shlomif <shlomif> 2.20.0-1.mga6
+ Revision: 1010781
- update to 2.02

* Sat Jan 16 2016 shlomif <shlomif> 2.0.0-1.mga6
+ Revision: 923919
- update to 2.00

* Sun Sep 06 2015 sander85 <sander85> 1.990.0-1.mga6
+ Revision: 873597
- update to 1.99

* Wed Jun 24 2015 shlomif <shlomif> 1.200.0-1.mga6
+ Revision: 842300
- New version 1.20 + Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 1.140.0-5.mga5
+ Revision: 790417
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.140.0-4.mga5
+ Revision: 745562
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.140.0-3.mga5
+ Revision: 733372
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.140.0-2.mga5
+ Revision: 686177
- Mageia 5 Mass Rebuild

* Fri Jul 25 2014 sander85 <sander85> 1.140.0-1.mga5
+ Revision: 656440
- update to 1.14

* Sat Jun 14 2014 sander85 <sander85> 1.130.0-1.mga5
+ Revision: 636160
- update to 1.13

* Fri Jun 06 2014 jquelin <jquelin> 1.120.0-1.mga5
+ Revision: 634135
- imported package perl-Search-Elasticsearch


* Fri Jun 06 2014 cpan2dist 1.12-1mga
- initial mageia release, generated with cpan2dist
